# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /home/runner/work/distributions/distributions/plugin/conda-recipe, last modified Mon Sep 22 18:02:56 2025
# ------------------------------------------------

package:
  name: q2-assembly
  version: 2025.10.0.dev0+3.g543baf8
source:
  path: /home/runner/work/distributions/distributions/plugin
build:
  script: make install
  string: ha49771a_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hda65f42_8
    - ca-certificates 2025.8.3 hbd8a1cb_0
    - importlib-metadata 8.7.0 pyhe01879c_1
    - ld_impl_linux-64 2.44 h1423503_1
    - libexpat 2.7.1 hecca717_0
    - libffi 3.4.6 h2dba641_1
    - libgcc 15.1.0 h767d61c_5
    - libgcc-ng 15.1.0 h69a702a_5
    - libgomp 15.1.0 h767d61c_5
    - liblzma 5.8.1 hb9d3cd8_2
    - libnsl 2.0.1 hb9d3cd8_1
    - libsqlite 3.50.4 h0c1763c_0
    - libuuid 2.41.1 he9a06e4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 h2d0b736_3
    - openssl 3.5.3 h26f9b46_0
    - packaging 25.0 pyh29332c3_1
    - pip 25.2 pyh8b19718_0
    - python 3.10.18 hd6af730_0_cpython
    - readline 8.2 h8c095d6_2
    - setuptools 80.9.0 pyhff2d567_0
    - tk 8.6.13 noxft_hd72426e_102
    - tomli 2.2.1 pyhe01879c_2
    - tzdata 2025b h78e105d_0
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zipp 3.23.0 pyhd8ed1ab_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hda65f42_8
    - ca-certificates 2025.8.3 hbd8a1cb_0
    - importlib-metadata 8.7.0 pyhe01879c_1
    - ld_impl_linux-64 2.44 h1423503_1
    - libexpat 2.7.1 hecca717_0
    - libffi 3.4.6 h2dba641_1
    - libgcc 15.1.0 h767d61c_5
    - libgcc-ng 15.1.0 h69a702a_5
    - libgomp 15.1.0 h767d61c_5
    - liblzma 5.8.1 hb9d3cd8_2
    - libnsl 2.0.1 hb9d3cd8_1
    - libsqlite 3.50.4 h0c1763c_0
    - libuuid 2.41.1 he9a06e4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 h2d0b736_3
    - openssl 3.5.3 h26f9b46_0
    - packaging 25.0 pyh29332c3_1
    - pip 25.2 pyh8b19718_0
    - python 3.10.18 hd6af730_0_cpython
    - readline 8.2 h8c095d6_2
    - setuptools 80.9.0 pyhff2d567_0
    - tk 8.6.13 noxft_hd72426e_102
    - tomli 2.2.1 pyhe01879c_2
    - tzdata 2025b h78e105d_0
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zipp 3.23.0 pyhd8ed1ab_0
  run:
    - beautifulsoup4
    - biopython
    - bowtie2 2.5.1.*
    - gridss
    - insilicoseq
    - mason
    - megahit 1.2.9.*
    - pysam 0.22.1.*
    - python_abi 3.10.* *_cp310
    - q2-demux >=2025.10.0.dev0+5.g12f814d
    - q2-fondue >=2025.10.0.dev0+2.g4e5baf7
    - q2-types >=2025.10.0.dev0+5.g4a8aaa7
    - q2templates >=2025.10.0.dev0+1.g695609d
    - qiime2 >=2025.10.0.dev0+6.g65a1488
    - quast
    - samtools
    - shortuuid
    - spades 4.0.0.*
test:
  commands:
    - pytest --pyargs q2_assembly -n 4
  imports:
    - q2_assembly
    - qiime2.plugins.assembly
  requires:
    - parameterized
    - pytest-xdist
about:
  home: https://github.com/bokulich-lab/q2-assembly
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
